未加星标

Configure Atom for PHP

字体大小 | |
[开发(php) 所属分类 开发(php) | 发布者 店小二03 | 时间 2015 | 作者 红领巾 ] 0人收藏点击收藏

The Atom editor by Github, reached version 1.0 recently . I've been using it solely as a markdown editor because its the best one I know for linux, but it appears that the true power of the editor is how easy it is to install packages for more functionality.

In this tutorial, I will show you how to configure the Atom editor forphp.

Run the following command in the CLI to install what I call the core packages for PHP.

apm install \ language-php \ php-debug \ php-introspector \ php-twig \ aligner-php \ autocomplete-php \ php-getters-setters \ php-cs-fixer \ php-class-tree

If you need to use phpunit, you will also want these packages:

apm install \ phpunit \ phpunit-snippets

There are lots of packages for themes and syntax highlighting. I recommend installing the following before picking what you want from Edit->Preferences in the file menu.

apm install \ atom-beautify \ poxy-monokai \ calexico-syntax \ wombat-dark-syntax \ slontech-syntax \ phpeclipse-syntax

If you want to search for other packages, use this command:

apm search [search term(s) References Installing Packages in GitHub's Atom Editor

本文开发(php)相关术语:php代码审计工具 php开发工程师 移动开发者大会 移动互联网开发 web开发工程师 软件开发流程 软件开发工程师

主题: PHPGitGitHub
代码区博客精选文章
分页:12
转载请注明
本文标题:Configure Atom for PHP
本站链接:https://www.codesec.net/view/167622.html


1.凡CodeSecTeam转载的文章,均出自其它媒体或其他官网介绍,目的在于传递更多的信息,并不代表本站赞同其观点和其真实性负责;
2.转载的文章仅代表原创作者观点,与本站无关。其原创性以及文中陈述文字和内容未经本站证实,本站对该文以及其中全部或者部分内容、文字的真实性、完整性、及时性,不作出任何保证或承若;
3.如本站转载稿涉及版权等问题,请作者及时联系本站,我们会及时处理。
登录后可拥有收藏文章、关注作者等权限...
技术大类 技术大类 | 开发(php) | 评论(0) | 阅读(3532)